import React from "react"

import RoundButton from "../RoundButton"

import { Toolbar, useMediaQuery } from "@material-ui/core"
import { Footer } from "./styles"

import marcas from '../../assets/images/logos.png'
import theme from '../../theme'

export default function (props) {
	const { replay, prev, next, logos, color } = props
	const web = useMediaQuery('(min-width: 900px)')

  	return (
		<>
		{
			logos?
			<Footer color={color} logos={true}>
				<img src={marcas} alt="Instituições responsáveis pelo curso" />
			</Footer>
			:
			<Footer color={color}>
			<Toolbar>
				{
					replay?
						<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="replay" to={replay} />
					:
						<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} disabled />
				}			
				{
					web?
					<>
						<div className="middlebutton">
							{
								prev?
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="previous" to={prev} />
								:
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="previous" opacity />
							}
							{
								next?
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="next" to={next} margin />
								:
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="next" opacity margin />
							}
						</div>
						<div className="placeholder">
							<RoundButton color={theme.palette.footer.button} disabled />
						</div>
					</>
					:
					<>
						<div className="endbutton">
							{
								prev?
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="previous" to={prev} />
								:
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="previous" opacity />
							}
							{
								next?
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="next" to={next} margin />
								:
									<RoundButton color={theme.palette.footer.button} hover={theme.palette.footer.buttonhover} type="next" opacity margin />
							}
						</div>
					</>
				}
			</Toolbar>
		</Footer>
		}		
		</>
  	)
}
