import React from "react"

import { Button, ActionButton } from "./styles"
//Button leva pra algum lugar, ActionButton executa uma ação mas não troca a página

//assets
import {
  HelpOutline,
  Replay,  
} from "@material-ui/icons"
import btn_home from "../../assets/buttons/btn_home.svg"
import btn_download from "../../assets/buttons/download.svg"
import btn_menu from "../../assets/buttons/btn_menu.svg"
import btn_prev from '../../assets/buttons/btn_prev.svg'
import btn_next from '../../assets/buttons/btn_next.svg'

export default function (props) {
  const { type, color, hover, margin, to, disabled, opacity, onClick, tooltip } = props

  return (
    <>
      {to ? (
        <>
          {
            tooltip?
              <Button to={to} color={color} hover={hover} margin={margin} tooltip data-tooltip={tooltip}>
                {
                  {
                    home: <img src={btn_home} alt="Início" />,
                    menu: <img src={btn_menu} alt="Menu" />,
                    help: <HelpOutline fontSize="large" />,
                    replay: <Replay fontSize="large" />,
                    previous: <img src={btn_prev} className="svg prev" alt="Voltar"/>,
                    next: <img src={btn_next} className="svg next" alt="Avançar"/>,
                    download: <img src={btn_download} alt="Download"/>
                    //adicionar mais conforme necessário
                  }[type]
                }
              </Button>
            :
              <Button to={to} color={color} hover={hover} margin={margin}>
                {
                  {
                    home: <img src={btn_home} alt="Início" />,
                    menu: <img src={btn_menu} alt="Menu" />,
                    help: <HelpOutline fontSize="large" />,
                    replay: <Replay fontSize="large" />,
                    previous: <img src={btn_prev} className="svg prev" alt="Voltar"/>,
                    next: <img src={btn_next} className="svg next" alt="Avançar"/>,
                    download: <img src={btn_download} alt="Download"/>
                    //adicionar mais conforme necessário
                  }[type]
                }
              </Button>
          }
        </>        
      ) : (
        <>
          {disabled ? (
            <ActionButton disabled margin={margin}/>
          ) : (
            <>
              {opacity ? (
                <ActionButton color={color} hover={hover} margin={margin} opacity>
                  {
                    {
                      home: <img src={btn_home} alt="Início" />,
                      menu: <img src={btn_menu} alt="Menu" />,
                      help: <HelpOutline fontSize="large" />,
                      replay: <Replay fontSize="large" />,
                      previous: <img src={btn_prev} className="svg prev" alt="Voltar"/>,
                      next: <img src={btn_next} className="svg next" alt="Avançar"/>,
                      download: <img src={btn_download} alt="Download"/>
                      //adicionar mais conforme necessário
                    }[type]
                  }
                </ActionButton>
              ) : (
                <ActionButton color={color} hover={hover} margin={margin} onClick={onClick} data-tooltip={tooltip}>
                  {
                    {
                      home: <img src={btn_home} alt="Início" />,
                      menu: <img src={btn_menu} alt="Menu" />,
                      help: <HelpOutline fontSize="large" />,
                      replay: <Replay fontSize="large" />,
                      previous: <img src={btn_prev} className="svg prev" alt="Voltar"/>,
                      next: <img src={btn_next} className="svg next" alt="Avançar"/>,
                      download: <img src={btn_download} alt="Download"/>
                      //adicionar mais conforme necessário
                    }[type]
                  }
                </ActionButton>
              )}
            </>
          )}
        </>
      )}
    </>
  )
}
