import React, { useState, useRef } from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"

import { Content, StyledContainer } from "./styles"
import { SelectButton } from "../../theme/commonstyles"

//assets
import ciclo from "../../assets/images/ciclo_elaboracao.png"
import cronograma from "../../assets/images/cronograma_envios.png"

export default function () {
  const headerref = useRef(Header)
  const [selected, setSelected] = useState(0)

  const CICLO = () => {
    return (
      <Box className="imagecontent">
        <img src={ciclo} alt="Ciclo de elaboração do PPA, LDO e LOA" />
      </Box>
    )
  }

  const CRONOGRAMA = () => {
    return (
      <Box className="imagecontent">
        <img src={cronograma} alt="Cronograma de envios por tempo de gestão" />
      </Box>
    )
  }

  const texts = [<CICLO />, <CRONOGRAMA />]

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">
              Instrumentos de planejamento do SUS
            </Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1" className="indented">
                <strong>Clique</strong> nos botões abaixo e conheça mais
                informações sobre o cronograma e ciclos de elaboração dos
                instrumentos de planejamento do SUS.
              </Typography>
            </Box>
            <Box className="panel">
              <Box className="bottom">
                <Box className="buttons">
                  {/* "amount" aqui é a quantidade de botões para se dividir a altura */}
                  <SelectButton
                    amount={4}
                    onClick={() => setSelected(0)}
                    selected={selected === 0 ? true : false}
                  >
                    <Typography variant="body2">
                      Ciclo de elaboração do PPA, LDO e LOA
                    </Typography>
                  </SelectButton>
                  <SelectButton
                    amount={4}
                    onClick={() => setSelected(1)}
                    selected={selected === 1 ? true : false}
                  >
                    <Typography variant="body2">
                      Cronograma de envios por tempo de gestão
                    </Typography>
                  </SelectButton>
                </Box>
                <Box className="content">
                  <Typography variant="body1">{texts[selected]}</Typography>
                </Box>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p9" next="/p11" />
    </StyledContainer>
  )
}