import React from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"

import { Content, StyledContainer } from "./styles"

//assets
import group from "../../assets/images/sus_group.png"

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">Pensando na prática</Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1" className="indented">
                A partir do que aprendemos até aqui, pense na seguinte situação:
                <br /><br />
              </Typography>
              <Typography variant="body1" className="indented">
                Imagine que você faz parte da equipe de coordenadores de áreas
                técnicas de uma secretaria municipal de saúde. Você faz parte do
                grupo de trabalho responsável por conduzir o processo de
                planejamento das ações para os próximos quatro anos produzindo o
                Plano Municipal de Saúde.{" "}
                <strong>Como seu grupo conduziria esse processo?</strong>                
              </Typography>
            </Box>
            <Box className="imageandtext">
              <Box className="bottom">
                <Box className="image">
                  <img src={group} alt="Grupo de profissionais em reunião" />
                </Box>
                <Box className="pin">
                  <Box className="pin-content">
                    <Typography variant="body1">
                      O que se espera como ponto de partida para a mobilização de
                      um grupo de trabalho para elaboração do PMS é, antes de
                      tudo, a orientação para as necessidades de saúde da
                      população. Como forma de operacionalizar o grupo de
                      trabalho, uma possibilidade é a elaboração de um plano de
                      ação para viabilizar a elaboração, o monitoramento e a
                      avaliação de todos os instrumentos de gestão, conforme
                      agenda prevista do SUS e do orçamento do governo. Utilizar o
                      enfoque estratégico de planejamento na condução dos
                      trabalhos constitui um caminho metodológico coerente com a
                      realidade dos sistemas locais de saúde.
                    </Typography>
                  </Box>
                </Box>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p11" next="/p13" />
    </StyledContainer>
  )
}
