import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, contentstyles, fontstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: 1rem;

  ${contentstyles};

  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: 1rem;

    @media(min-width: 900px) {
      padding-top: .5rem;
    }

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      margin-bottom: 0;
    }   
  }

  .imageandtext {
    flex-grow: 1;
    display: flex;
    align-items: center;
  }

  .bottom {    
    display: flex;
    flex-direction: column;

    @media(min-width: 900px) {
      flex-direction: row;
    }

    @media(min-width: 900px) and (min-height: 900px) {
      height: fit-content;
    }
  }

  .image, .pin, .pin-content {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .image {
    flex-grow: 1;    

    img {
      width: 100%;
      max-width: 300px;
      height: 100%;
      object-fit: contain;

      @media(min-width: 900px) and (min-height: 900px) {
        max-width: 100%;
      }
    }
  }

  .pin {
    margin: 1rem 0;

    @media(min-width: 900px) {
      margin: 0;
      max-width: 70%;      
    }   
  }

  .pin .pin-content {
    position: relative;
    border: 3px solid ${props => props.theme.palette.primary.main};
    border-radius: 1rem;
    width: 90%;
    height: fit-content;
    min-height: 25vh;
    padding: 1rem;

    @media(min-width: 900px) {
      padding: 2rem;
    }
  }

  .indented {
    text-indent: 2rem;
  }
`
