import React from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"

import { Content, StyledContainer } from "./styles"

//assets
import group from "../../assets/images/sus_group.png"
import pin from "../../assets/images/pin.png"

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">O processo de planejamento</Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1" className="indented">
                A gestão do SUS ocorre no âmbito dos municípios, estados e da
                União, cabendo àqueles que ocupam cargos de gestão ou
                desempenham funções gestoras participar da formulação,
                implementação e avaliação das políticas de saúde. Essa
                participação se concretiza por meio de sucessivas tomadas de
                decisão no cotidiano da gestão com alcances de curto, médio e
                longo prazo.
              </Typography>
            </Box>
            <Box className="bottom">
              <Box className="image">
                <img src={group} alt="Grupo de profissionais em reunião" />
              </Box>
              <Box className="pin">
                <Box className="pin-content">
                  <Box className="pin-icon">
                    <img src={pin} alt="" />
                  </Box>
                  <Typography variant="body1">
                    No SUS as decisões sobre ações e serviços de saúde devem se 
                    dar no âmbito do processo e dos instrumentos de planejamento 
                    estabelecidos. O planejamento deve correr do modo ascendente, 
                    do nível local ao federal; ouvindo-se os órgãos deliberativos 
                    intergestores e de participação social. Incluir a participação 
                    social é um grande desafio, porém, cabe ressaltar a importância 
                    de se ouvir os diferentes atores, desde profissionais da saúde, 
                    usuários dos serviços e profissionais da gestão. Um planejamento 
                    participativo, embora dê mais trabalho, mobiliza melhor os envolvidos, 
                    podendo melhorar também as respostas e resultados.
                  </Typography>
                </Box>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p1" next="/p3" />
    </StyledContainer>
  )
}
