import React, { useRef } from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"
import Reference from "../../components/Reference"

import { Content, StyledContainer } from "./styles"

//assets
import group from "../../assets/images/table_group.png"
import papel from "../../assets/images/papel.png"

export default function () {
  const headerref = useRef(Header)

  const openRef = (key) => {
    if (!headerref.current) {
      return
    }

    headerref.current.openRef(key)
  }

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">O processo de planejamento</Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1" className="indented">
                No cotidiano da gestão do SUS, as decisões e os planejamentos nem
                sempre ocorrem no circuito programático dos processo de gestão
                já sistematizados e pactuados entre os entes federados. O dia a
                dia demanda também decisões de natureza emergencial. Estas não
                devem dominar a agenda da gestão, sob o risco das intervenções
                serem reduzidas a um "apagar de incêndios" sem fim.
                <br/><br/>
              </Typography>
              <Typography variant="body1" className="indented">
                Fato é que, qualquer que seja o cenário, é importante qualificar
                permantentemente a capacidade da gestão em tomar boas decisões,
                a fim de se obter resultados sanitários relevantes, de zelar
                pela adequada aplicação dos recursos públicos e otimizar
                permanentemente o exercício da função gestora como operadora do
                SUS.
              </Typography>
            </Box>
            <Box className="bottom">
              <Box className="image">
                <img src={group} alt="Grupo de profissionais em reunião" />
              </Box>
              <Box className="pin">
                <Box className="pin-content">
                  <Box className="pin-background">
                    <img src={papel} alt="" />
                  </Box>
                  <Typography variant="body1">
                    No SUS, o planejamento é concretizado em um instrumento
                    denominado Plano de Saúde, o qual compatibiliza as
                    necessidades e os recursos para a execução das políticas de
                    saúde
                    <Reference num={1} onClick={() => openRef(1)} />.
                  </Typography>
                </Box>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p2" next="/p4" />
    </StyledContainer>
  )
}
