import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, contentstyles, fontstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: 1rem;

  ${contentstyles};

  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: .75rem;

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {    
    display: flex;
    flex-direction: column;     
  }

  .bottom {
    padding: 1rem 0;
    flex-grow: 1;
    display: flex;
    flex-direction: column;

    @media(min-width: 900px) {
      flex-direction: row;      
      padding: .25rem 0;
    }

    @media(min-width: 900px) and (min-height: 900px) {
      max-height: fit-content;
    }
  }

  .image, .pin, .pin-content {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .image {
    flex-grow: 1; 
    margin-bottom: 2rem;

    @media(min-width: 900px) {
      margin-bottom: 0;
    }   

    img {
      width: 100%;
      height: 100%;
      max-width: 270px;
      object-fit: scale-down;

      @media(min-width: 900px) {
        max-width: 350px;
      }

      @media(min-width: 900px) and (min-height: 900px){        
        max-width: 100%;
      }
    }
  }

  .pin {
    padding: 1rem 0;
    position: relative;

    @media(min-width: 900px) {
      margin: 0;
      padding: 0;
      max-width: 70%;      
    }   
  }

  .pin .pin-content {
    position: relative;
    z-index: 1;
    height: 100%;
    padding: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;

    p {
      width: 85%;
      max-width: 250px;
      color: #333;

      @media(min-width: 900px) {
        width: 29%;
        max-width: 29%;
      }

      @media(min-width: 1800px) {
        max-width: 32.5%;
      }
    }

    @media(min-width: 900px) {
      height: 85%;
      padding: 0 2rem;
    }

    @media(min-width: 900px) {
      height: 70%;
    }
  }

  .pin .pin-background {
    position: absolute;
    z-index: -1;
    display: flex;
    align-items: center;
    justify-content: center;

    img {
      width: 100%;   
      height: 100%;
      object-fit: contain;      
      max-width: 260px;
      max-height: 40vh;

      @media(min-width: 900px) {
        max-width: 350px;
      }

      @media(min-width: 900px) and (min-height: 900px){
        max-width: 425px;
        max-height: 100%;        
      }
    }
  }

  .indented {
    text-indent: 2rem;
  }
`
