import React from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"

import { Content, StyledContainer } from "./styles"

//assets
import processo from "../../assets/images/processo.png"

export default function () {

  return (
    <StyledContainer>
      <Header />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">O processo de planejamento</Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1" className="indented">
                Você já parou para pensar sobre a seguinte questão:{" "}
                <strong>Por que planejamos?</strong>
                <br />
                <br />
              </Typography>
              <Typography variant="body1" className="indented">
                O processo de planejamento visa reduzir a carga de incertezas da
                tomada de decisão. Quanto mais planejamos, menor o improviso e
                assim menor o grau de incerteza sobre as decisões tomadas. O
                produto do processo de planejamento é um plano com objetivos,
                metas e ações. Entretanto, o processo de planejar é mais amplo
                que isso.
                <br />
                <br />
              </Typography>
              <Box className="green">
                <Typography variant="body1">
                  A pergunta fundamental a orientar o planejamento é:{" "}
                  <strong>aonde se quer chegar?</strong>
                </Typography>
              </Box>              
              <Typography variant="body1" className="indented">                
                Se pensarmos bem, esta pergunta pressupõe um questionamento
                anterior: de onde estamos partindo? Qual é a situação atual
                indesejada ou que demanda melhoria?
                <br/>
                <br/>
              </Typography>
            </Box>
            <Box className="sidebox">
              <Box className="caption greened">
                <Typography variant="body1">
                  <strong>Planejamento → Processo <br/>
                  Plano → Produto</strong>
                </Typography>
              </Box>
              <Box className="image">
                <img src={processo} alt="Ilustração sobre o processo de planejamento" />
              </Box>
              <Box className="caption">
                <Typography variant="body1">
                  Planejar envolve fundamentalmente compreender a situação atual
                  de determinada realidade, definir qual é a situação desejada e
                  como se chegará até ela.
                </Typography>
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p3" next="/p5" />
    </StyledContainer>
  )
}
