import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, contentstyles, fontstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;  

  ${contentstyles};  

  .wrapper {    
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: .75rem;  

    @media(min-width: 900px) {
      flex-direction: row;      
    }

    @media(min-width: 900px) and (min-height: 900px) {
      padding-top: 2.5rem;
    }
  }


  .text {        
    display: flex;
    flex-direction: column;    

    @media(min-width: 900px) {
      padding: 0 1rem 0 0;  
    }

    .green {
      background: ${props => props.theme.palette.primary.main};
      color: ${props => props.theme.palette.background.main};
      padding: 1rem;
      margin-bottom: 1rem;
      border-radius: 1rem;
      text-align: center;
    }
  }

  .sidebox {    
    flex-grow: 1;
    min-width: 40%;
    display: flex;
    flex-direction: column;
    border: 4px solid ${props => props.theme.palette.primary.main};
    border-radius: 1rem;
    padding: 1rem;
  }

  .image {    
    display: flex;
    align-items: center;
    justify-content: center;    
    flex-grow: 1;
    margin: .5rem 0;

    @media(min-width: 900px) {
      margin: 0;
    }

    img {
      width: 100%;
      height: 100%;      
      object-fit: contain;

      @media(min-width: 900px) {
        max-width: 325px;
      }

      @media(min-width: 900px) and (min-height: 900px) {
        max-width: 100%;
      }
    }
  }

  .caption {
      
  }

  .greened {    
    text-align: center;    
    color: ${props => props.theme.palette.primary.main};

    p {
      font-family: opensans;
      font-weight: bolder;
    }
  }

  .indented {
    text-indent: 2rem;
  }
`
