import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, animationstyles, fontstyles, contentstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${animationstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1rem;

  ${contentstyles};

  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: .75rem;

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      margin-bottom: 0;
    }  
  }

  .middle {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      margin: .25rem 0;
    }
  }

  .middle .buttons {
    display: flex;
    border-bottom: 4px solid ${props => props.theme.palette.primary.main};

    @media(min-width: 900px) {
      margin: 0;
      justify-content: center;
      flex-wrap: inherit;
    }
  }

  .middle .content {
    display: flex;
    align-items: center;
    margin: 0;
    border: 4px solid ${props => props.theme.palette.primary.main};
    border-top: none;
    border-radius: 0 0 1rem 1rem;
    padding: 1rem;
    min-height: 25vh;

    @media(min-width: 900px) {
      padding: .5rem 1rem;
    }

    @media(min-width: 900px) and (min-height: 900px){
      padding: 1.5rem;
    }
  }

  .pin .pin-icon {
    position: absolute;
    top: -1rem;
    right: -1rem;
    width: 3rem;

    @media(min-width: 1800px) {
      top: -2rem;
      right: -2rem;
      width: 5rem;
    }

    img {
      width: 100%;
    }
  }

  .indented {
    text-indent: 2rem;
  }
`