import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, animationstyles, fontstyles, contentstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${animationstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1rem;

  ${contentstyles};

  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: .75rem;

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {    
    display: flex;
    flex-direction: column;       
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      margin-bottom: 0;
    }
  }

  .accordion {
    display: block;
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      flex-grow: 1;
      height: fit-content;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    @media(min-width: 900px) and (min-height: 900px) {
      max-height: fit-content;
    }
  }

  .accordion .placement {
    display: block;

    @media(min-width: 900px) {
      width: 80%;
      margin: auto;
      border-radius: 1rem;
      overflow: hidden;      
    }

    @media(min-width: 1800px) {
      width: 60%;
    }
  }

  .indented {
    text-indent: 2rem;
  }
`