import React, { useRef, useState, useEffect } from "react"
import { Typography, Box, useMediaQuery } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"
import Dialog from "../../components/Dialog"

//assets
import fluxograma from "../../assets/images/fluxograma.png"
import fluxograma_mobile from "../../assets/images/p10_background_mobile.png"
import icon_ppa from "../../assets/buttons/icon_ppa.png"
import icon_ldo from "../../assets/buttons/icon_ldo.png"
import icon_pas from "../../assets/buttons/icon_pas.png"
import icon_pms from "../../assets/buttons/icon_pms.png"
import icon_rag from "../../assets/buttons/icon_rag.png"
import icon_loa from "../../assets/buttons/icon_loa.png"
import icon_rdqa from "../../assets/buttons/icon_rdqa.png"

import { Content, StyledContainer } from "./styles"

export default function () {
  const headerref = useRef(Header)
  const web = useMediaQuery("(min-width: 900px)")

  const [ppacheck, setPpa] = useState(false)
  const [ldocheck, setLdo] = useState(false)
  const [loacheck, setLoa] = useState(false)
  const [pmscheck, setPms] = useState(false)
  const [pascheck, setPas] = useState(false)
  const [ragcheck, setRag] = useState(false)
  const [rdqacheck, setRdqa] = useState(false)

  const check = (instrument) => {
    if (instrument === "ppa") sessionStorage.setItem("p9-ppa", true)
    if (instrument === "ldo") sessionStorage.setItem("p9-ldo", true)
    if (instrument === "loa") sessionStorage.setItem("p9-loa", true)
    if (instrument === "pms") sessionStorage.setItem("p9-pms", true)
    if (instrument === "pas") sessionStorage.setItem("p9-pas", true)
    if (instrument === "rag") sessionStorage.setItem("p9-rag", true)
    if (instrument === "rdqa") sessionStorage.setItem("p9-rdqa", true)
  }

  let ppalocal = sessionStorage.getItem("p9-ppa")
  let ldolocal = sessionStorage.getItem("p9-ldo")
  let loalocal = sessionStorage.getItem("p9-loa")
  let pmslocal = sessionStorage.getItem("p9-pms")
  let paslocal = sessionStorage.getItem("p9-pas")
  let raglocal = sessionStorage.getItem("p9-rag")
  let rdqalocal = sessionStorage.getItem("p9-rdqa")

  useEffect(() => {
    if (ppalocal === "true") setPpa(true)
    if (ldolocal === "true") setLdo(true)
    if (loalocal === "true") setLoa(true)
    if (pmslocal === "true") setPms(true)
    if (paslocal === "true") setPas(true)
    if (raglocal === "true") setRag(true)
    if (rdqalocal === "true") setRdqa(true)
  }, [ppalocal, ldolocal, loalocal, pmslocal, paslocal, raglocal, rdqalocal])

  // const openRef = (key) => {
  //   if (!headerref.current) {
  //     return
  //   }

  //   headerref.current.openRef(key)
  // }

  const PPA = () => {
    return (
      <Typography variant="body1">
        <strong>• Conteúdo/Síntese:</strong>
        <br />
        - Objetivos, diretrizes e metas;
        <br />
        - Programas e ações.
        <br />
        <br />
        <strong>• Período/validade:</strong>
        <br />
        Válido por quatro anos. Do segundo ano da gestão que se inicia ao
        primeiro ano da gestão subsequente.
        <br />
        <br />
        <strong>• Prazo:</strong>
        <br />
        Deve ser enviada ao Legislativo até 31 de agosto do primeiro ano de
        governo e devolvido ao Executivo até 22 de dezembro do primeiro ano de
        governo.
        <br />
      </Typography>
    )
  }

  const LDO = () => {
    return (
      <Typography variant="body1">
        <strong>• Conteúdo/Síntese:</strong>
        <br />
        - Diretrizes e metas prioritárias;
        <br />
        - Alterações em leis tributárias e de pessoal;
        <br />
        - Limites orçamentários;
        <br />
        - Limites e critérios para empenho;
        <br />
        - Normas para avaliação e controle;
        <br />
        - Condições para transferências.
        <br />
        <br />
        <strong>• Período/validade:</strong>
        <br />
        Validade de um ano, sendo seu objeto o ano subsequente à sua
        apresentação.
        <br />
        <br />
        <strong>• Prazo:</strong>
        <br />
        Deve ser enviada ao Legislativo até 15 de abril e devolvido ao Executivo
        até 17 de julho de cada ano.
      </Typography>
    )
  }

  const LOA = () => {
    return (
      <Typography variant="body1">
        <strong>• Conteúdo/Síntese:</strong>
        <br />
        - Ações a serem realizadas;
        <br />
        - Receitas a serem mobilizados;
        <br />
        - Gastos autorizados.
        <br />
        <br />
        <strong>• Período/validade:</strong>
        <br />
        Validade de um ano, sendo seu objeto o ano subsequente à sua
        apresentação.
        <br />
        <br />
        <strong>• Prazo:</strong>
        <br />
        Deve ser enviada ao Legislativo até 31 de agosto.
      </Typography>
    )
  }

  const PAS = () => {
    return (
      <Typography variant="body1">
        <strong>• Conteúdo/Síntese:</strong>
        <br />
        - Ações a serem realizadas;
        <br />
        - Recursos a serem mobilizados;
        <br />
        - Metas a serem alcançadas.
        <br />
        <br />
        <strong>• Período/validade:</strong>
        <br />
        Sua validade é de um ano, sempre o ano subsequente a sua apresentação.
        <br />
        <br />
        <strong>• Prazo:</strong>
        <br />
        Deve ser apresentada ao CMS até fins de março de cada ano de gestão, em
        consonância ao PMS. Subsidia a LDO e a LOA.
      </Typography>
    )
  }

  const PMS = () => {
    return (
      <Typography variant="body1">
        <strong>• Conteúdo/Síntese:</strong>
        <br />
        - Análise situacional da saúde do município;
        <br />
        - Objetivos, diretrizes, metas e indicadores;
        <br />
        - Monitoramento e avaliação.
        <br />
        <br />
        <strong>• Período/validade:</strong>
        <br />
        Válido por quatro anos. Do segundo ano da gestão que se inicia ao
        primeiro ano da gestão subsequente.
        <br />
        <br />
        <strong>• Prazo:</strong>
        <br />
        Deve estar proposto até fins de março do primeiro ano de gestão, sendo
        subsídio ao PPA.
      </Typography>
    )
  }

  const RAG = () => {
    return (
      <Typography variant="body1">
        <strong>• Conteúdo/Síntese:</strong>
        <br />
        - Resultados atrelados à PAS;
        <br />
        - Objetivos, diretrizes, metas e indicadores;
        <br />
        - Metas previstas e executadas;
        <br />
        - Execução orçamentária.
        <br />
        <br />
        <strong>• Período/validade:</strong>
        <br />
        Período de um ano, sendo seu objeto o ano anterior à sua apresentação.
        <br />
        <br />
        <strong>• Prazo:</strong>
        <br />
        Deve ser apresentado ao CMS até fins de março de cada ano.
      </Typography>
    )
  }

  const RDQA = () => {
    return (
      <Typography variant="body1">
        <strong>• Conteúdo/Síntese:</strong>
        <br />
        - Conteúdo semelhante ao RAG, referente ao quadrimestre anterior.
        <br />
        <br />
        <strong>• Período/validade:</strong>
        <br />
        Período de quatro meses, sempre referente ao quadrimestre anterior ao
        mês de apresentação (exceto o de fevereiro, cujo período é de setembro a
        dezembro).
        <br />
        <br />
        <strong>• Prazo:</strong>
        <br />
        Sempre ao final dos meses de maio, setembro e fevereiro do ano
        subsequente.
      </Typography>
    )
  }

  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">
              Instrumentos de planejamento do SUS
            </Typography>
          </Box>
          <Box className="text">
            <Typography variant="body1" className="indented">
              Na imagem abaixo você observa um fluxograma de integração dos
              instrumentos de planejamento e gestão do SUS.{" "}
              <strong>Clique</strong> nos botões para ler mais sobre cada um dos
              instrumentos.
            </Typography>
          </Box>
          {web ? (
            <>
              <Box className="fluxogram">
                <Box className="placement">
                  <Box className="ppa">
                    <Dialog
                      title="Plano Plurianual (PPA)"
                      content={PPA()}
                      image={icon_ppa}
                      event={() => check("ppa")}
                      clicked={ppacheck}
                    />
                    <Typography variant="body1">PPA</Typography>
                  </Box>
                  <Box className="ldo">
                    <Dialog
                      title="Lei de Diretrizes Orçamentárias (LDO)"
                      content={LDO()}
                      image={icon_ldo}
                      event={() => check("ldo")}
                      clicked={ldocheck}
                    />
                    <Typography variant="body1">LDO</Typography>
                  </Box>
                  <Box className="loa">
                    <Dialog
                      title="Lei Orçamentária Anual (LOA)"
                      content={LOA()}
                      image={icon_loa}
                      event={() => check("loa")}
                      clicked={loacheck}
                    />
                    <Typography variant="body1">LOA</Typography>
                  </Box>
                  <Box className="pms">
                    <Dialog
                      title="Plano Municipal de Saúde (PMS)"
                      content={PMS()}
                      image={icon_pms}
                      event={() => check("pms")}
                      clicked={pmscheck}
                    />
                    <Typography variant="body1">PMS</Typography>
                  </Box>
                  <Box className="pas">
                    <Dialog
                      title="Programação Anual de Saúde (PAS)"
                      content={PAS()}
                      image={icon_pas}
                      event={() => check("pas")}
                      clicked={pascheck}
                    />
                    <Typography variant="body1">PAS</Typography>
                  </Box>
                  <Box className="rag">
                    <Dialog
                      title="Relatório Anual de Gestão (RAG)"
                      content={RAG()}
                      image={icon_rag}
                      event={() => check("rag")}
                      clicked={ragcheck}
                    />
                    <Typography variant="body1">RAG</Typography>
                  </Box>
                  <Box className="rdqa">
                    <Dialog
                      title="Relatório Detalhado do Quadrimestre Anterior (RDQA)"
                      content={RDQA()}
                      image={icon_rdqa}
                      event={() => check("rdqa")}
                      clicked={rdqacheck}
                    />
                    <Typography variant="body1">RDQA</Typography>
                  </Box>
                  <Box className="texto txtesquerda">
                    <Typography variant="body1">PLANO DE GOVERNO</Typography>
                  </Box>
                  <Box className="texto txtdireita">
                    <Typography variant="body1">
                      APROVADO PELO CONSELHO
                    </Typography>
                  </Box>
                  <Box className="texto txtbaixo">
                    <Typography variant="body1">
                      RELATÓRIO DE CONFERÊNCIA
                    </Typography>
                  </Box>
                  <Box className="texto txtrdqa">
                    <Typography variant="body1">
                      3 RELATÓRIOS QUADRIMESTRAIS
                    </Typography>
                  </Box>
                  <Box className="greenbox" />
                  <Box className="greendotbox" />
                  <Box className="arrow arrow-1">
                    <Typography variant="body1">→</Typography>
                  </Box>
                  <Box className="arrow arrow-2">
                    <Typography variant="body1">→</Typography>
                  </Box>
                  <Box className="arrow arrow-3">
                    <Typography variant="body1">→</Typography>
                  </Box>
                  <Box className="arrow arrow-4">
                    <Typography variant="body1">→</Typography>
                  </Box>
                  <Box className="arrow arrow-5">
                    <Typography variant="body1">↕</Typography>
                  </Box>
                  <Box className="arrow arrow-6">
                    <Typography variant="body1">↕</Typography>
                  </Box>
                  <Box className="arrow arrow-7">
                    <Typography variant="body1">↑</Typography>
                  </Box>
                </Box>
                <img src={fluxograma} alt="" className="background" />
              </Box>
            </>
          ) : (
            <>
              <Box className="fluxogram">
                <Box className="ppa">
                    <Dialog
                      title="Plano Plurianual (PPA)"
                      content={PPA()}
                      image={icon_ppa}
                      event={() => check("ppa")}
                      clicked={ppacheck}
                    />                    
                </Box>
                <Box className="ldo">
                    <Dialog
                      title="Lei de Diretrizes Orçamentárias (LDO)"
                      content={LDO()}
                      image={icon_ldo}
                      event={() => check("ldo")}
                      clicked={ldocheck}
                    />
                  </Box>
                  <Box className="loa">
                    <Dialog
                      title="Lei Orçamentária Anual (LOA)"
                      content={LOA()}
                      image={icon_loa}
                      event={() => check("loa")}
                      clicked={loacheck}
                    />
                  </Box>
                  <Box className="pms">
                    <Dialog
                      title="Plano Municipal de Saúde (PMS)"
                      content={PMS()}
                      image={icon_pms}
                      event={() => check("pms")}
                      clicked={pmscheck}
                    />
                  </Box>
                  <Box className="pas">
                    <Dialog
                      title="Programação Anual de Saúde (PAS)"
                      content={PAS()}
                      image={icon_pas}
                      event={() => check("pas")}
                      clicked={pascheck}
                    />
                  </Box>
                  <Box className="rag">
                    <Dialog
                      title="Relatório Anual de Gestão (RAG)"
                      content={RAG()}
                      image={icon_rag}
                      event={() => check("rag")}
                      clicked={ragcheck}
                    />
                  </Box>
                  <Box className="rdqa">
                    <Dialog
                      title="Relatório Detalhado do Quadrimestre Anterior (RDQA)"
                      content={RDQA()}
                      image={icon_rdqa}
                      event={() => check("rdqa")}
                      clicked={rdqacheck}
                    />
                  </Box>
                <img src={fluxograma_mobile} alt="" className="background" />
              </Box>
            </>
          )}
        </Content>
      </Box>
      <Footer prev="/p8" next="/p10" />
    </StyledContainer>
  )
}
